﻿@model BaseFlyerTemplateViewModel
@{
    ViewBag.Title = "Template1Preview";
    Layout = null;
}

<style>
    .pdf-compact .footer-gray {
        height: 90px !important;
        padding: 10px 44px;
    }

        .pdf-compact .footer-gray .f-item-contact-us {
            line-height: 18px;
        }

        .pdf-compact .footer-gray a {
            font-size: 12px;
        }

    .pdf-compact .weight-tin {
        font-size: 13px !important;
    }

    .pdf-compact .f-item-contact-us {
        font-size: 12px !important;
    }

    .pdf-compact .margin-bt-18, .pdf-compact .margin-bt-8 {
        margin-bottom: 5px;
    }

    .pdf-compact .link-box {
        margin-bottom: 6px;
        margin-top: 6px;
    }

    .pdf-compact .pm-schedule {
        margin-bottom: 10px !important;
    }
</style>
<form novalidate>


    <div class="view-container gothambold-font" ng-class="{'pdf-compact': Model.Body.CountPMAndAM >= 8}">

        <div class="title-bar">
            <div class="back">
                <a class="action" onclick="window.history.back()">
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1>
                    After school classes
                </h1>

                @*<a class="btn-success right" ui-sref="FillFlyerData">Fill Data</a>*@
            </div>
            <div class="actions">


            </div>
            <div class="clearfix"></div>
            <hr />
        </div>

        <div class="fleyer-sections-container">

            <div class="input-control choosen" data-role="input-control">
                <label class="req-star">Please select a school</label>
                <select chosen
                        ng-model="Model.SchoolId"
                        ng-change="fillSeasonData(Model.SchoolId)"
                        data-placeholder="Select school"
                        ng-options="obj.Value as obj.Text for obj in AllSchools"></select>

            </div>

            <div class="input-control choosen" data-role="input-control" ng-show="Model.SchoolId != '' ">
                <label class="req-star">Please select a season</label>
                <select chosen
                        ng-model="Model.SeasonId"
                        data-placeholder="Select season"
                        ng-options="obj.Value as obj.Text for obj in AllSeasons"></select>

            </div>
            <div>
                <div class="row place-left one-half padding-right20">
                    <label class="req-star">Contact email</label>
                    <div class="input-control text span5" data-role="input-control" @Html.AngValidationClassFor(model => model.Email)>
                        <input type="text" ng-model="Model.Email" @Html.AngTooltipValidationFor(model => model.Email)>
                    </div>
                </div>
                <div class="row place-left one-half ">
                    <label class="req-star">Contact phone</label>
                    <div class="input-control text span5" data-role="input-control" @Html.AngValidationClassFor(model => model.Phone)>
                        <input type="text" ng-model="Model.Phone" @Html.AngTooltipValidationFor(model => model.Phone)>
                    </div>
                </div>

            </div>

            <label>Comments</label>
            <div class="input-control text" data-role="input-control">
                <input type="text" ng-model="Model.Comments">
            </div>
            <label class="req-star">Flyer name</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
                <input type="text" ng-model="Model.Name" @Html.AngTooltipValidationFor(model => model.Name)>
            </div>

            <div class="place-left one-half padding-right20">
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-model="@Html.Ang(model => model.IsGreenColor)" type="checkbox">
                        <span class="check"></span>
                        Use green color
                    </label>
                </div>
            </div>
            <button class="success large place-right button" ng-click="FillData()">Fetch classes</button>
            <div class="clearfix"></div>
            <div class="clearfix"></div>
            <div class="clearfix"></div>
        </div>

        <div class="fleyer-sections-container flyer-theme " ng-class="Model.Body.CountPMAndAM < 6 ? 'flyer-lg': 'flyer-sm'">
            <div class="flyer-header-theme flyer-alignment">
                <img class="partner-logo" src="~/Areas/Dashboard/Content/Image/bannerFlexFlyer.jpg" />
                <img class="school-logo" ng-src="{{Model.Header.SchoolLogo}}" />
            </div>
            <div class="txt-center section-2 flyer-alignment">
                <h3 class="txt-center text-bold text-uppercase header-text-top-title">{{Model.Body.SchoolName}} AND FLEX ACADEMIES</h3>
                <h3 class="txt-center big-title text-bold">{{Model.Body.SeasonName}} AFTER SCHOOL ACTIVITIES PROGRAM</h3>
                <div class="txt-center">
                    <span class="text-bold header-text-bottom-title">{{Model.Body.SeasonName}} SESSION:</span>
                    <span class="header-text-bottom-content-sm"> {{Model.Body.SeasonDate}} </span>
                </div>
            </div>

            <span ng-class="['txt-center','text-bold',{'text-green-top':Model.IsGreenColor==true,'text-black-top':Model.IsGreenColor==false}]">ON-SITE ENRICHMENT ACTIVITIES SCHEDULE</span>

            @Html.Partial("_TemplateAfterSchoolClassesContentPreview", Model)

            <div class="txt-center gothambold-font flyer-footer-bottom">
                <div class="flyer-alignment flyer-border-bottom flyer-register-box">
                    <div class="margin-bt-8"><span class="text-bold gothambold-font"></span> <span class="gothambook-font">{{Model.Comments}}</span></div>

                    <div class="margin-bt-8"><span class="text-bold gothambold-font">REGISTRATION BEGINS: </span> <span class="gothambook-font">{{Model.Body.GeneralRegistrationOpens}}</span></div>
                    <div class="margin-bt-18"><span class="text-bold gothambold-font">REGISTRATION CLOSES: </span> <span class="gothambook-font">{{Model.Body.GeneralRegistrationCloses}}</span></div>
                </div>

                <div class="link-box">

                    <a target="_blank" class="link-footer" href="{{Model.Body.ClubUrl}}">
                        <span class="text-bold">REGISTER AT:</span>
                        <span>{{Model.Body.ClubUrl}}</span>
                    </a>
                </div>
                <div class="footer-gray">

                    <div class="init-align">
                        <label ng-class="[text-bold,{'f-item-contact-us':Model.IsGreenColor==true,'f-item-contact-us-white':Model.IsGreenColor==false}]">
                            CONTACT US: <span class="weight-tin">{{Model.Email}}</span>
                        </label>
                        <label class="text-bold f-item-activitirs floating-right custom-right-footer">**ACTIVITIES ARE SUBJECT TO CHANGE** <span class="span-block-sm" ng-show="Model.Footer.LateFee > 0">Late registration fee of {{Model.Footer.LateFee.formatCurrencyWithPenny(2)}} applies after {{Model.Footer.lateRegistrationOpenDateTime}}</span></label>
                        <label ng-class="[text-bold,{'f-item-contact-us':Model.IsGreenColor==true,'f-item-contact-us-white':Model.IsGreenColor==false}]" style="display:block !important">PHONE #: <span class="weight-tin">{{Model.Phone}}</span></label>
                    </div>
                    <div class="init-align footer-icons">
                        <label class="item-row-2-l"><i class="jbi-facebook flyer-iconfooter"></i><a href="https://www.Facebook.com/FlexAcademies"> Facebook.com/<span class="weight-tin">FlexAcademies</span></a></label>
                        <label class="item-row-2-c"><i class="jbi-twitter flyer-iconfooter"></i><a href="https://twitter.com/flexacademies"> Twitter: <span class="weight-tin">flexacademies</span></a></label>
                        <label class="item-row-2-r"><img src="~/Areas/Dashboard/Content/Image/jumbula-logo.png" style="width:50px;" /></label>
                    </div>

                </div>


            </div>


        </div>
        <hr />

        <button class="success large place-right button" ng-click="SaveFlyer()">Save</button>
        <div class="clearfix"></div>
    </div>



</form>




